xQueuePeekFromISR

queue. h

    BaseType_t xQueuePeekFromISR(
                                    QueueHandle_t xQueue,
                                    void *pvBuffer,
                                );

A version of xQueuePeek() that can be called from an interrupt service routine (ISR).

Receive an item from a queue without removing the item from the queue. The item is received by copy so a buffer of adequate size must be provided. The number of bytes copied into the buffer was defined when the queue was created.

Successfully received items remain on the queue so will be returned again by the next call, or a call to xQueueReceive().

Parameters

  xQueue | The handle to the queue from which the item is to be received.
  pvBuffer | Pointer to the buffer into which the received item will be copied.

Returns
  pdTRUE if an item was successfully received from the queue, otherwise pdFALSE.